Skip to main content

Create Account

POST
/users/{user_id}/migrate/members/{member_id}/accounts
fielddescription
idUnique identifier for the transaction
descriptionDescription of the transaction. Cannot be longer than 255 characters
typeDEBIT or CREDIT
amountAmount of the transaction. The value is always unsigned.
statusPENDING or POSTED
transacted_on or transacted_atThe date of the transaction. When provided as transacted_on, the date is required to be in ISO 8601 format (e.g. 2011-03-28). When provided as transacted_at, the date is required to be in Unix Epoch format (eg.1355429710).
posted_on or posted_atThe date the transaction was posted. When provided as posted_on, the date is required to be in ISO 8601 format (e.g. 2011-03-28). When provided as posted_at, the date is required to be in Unix Epoch format (eg.1355429710). Not required for transactions with a status of PENDING.

Request sample

Request
Response
Language:shell

_10
curl -i -X POST https://int-migration.moneydesktop.com/{client_id}/users/{user_id}/migrate/members/{member_id}/accounts/{account_id}/transactions \
_10
-d '<transaction><id>:id</id><amount>:amount</amount><description>:description</description><status>:status</status><type>:type</type><transacted_on>:transacted_on</transacted_on></transaction>' \
_10
-H "Content-Type:application/vnd.mx.migration.v1+xml" \
_10
-H "Accept:application/vnd.mx.migration.v1+xml" \
_10
-H "MD-API-KEY: :api_key"